Bug 229699 - games/freeorion: fails to build with boost 1.68
Summary: games/freeorion: fails to build with boost 1.68
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on:
Blocks: 229569
  Show dependency treegraph
 
Reported: 2018-07-11 13:52 UTC by Jan Beich
Modified: 2018-08-03 17:37 UTC (History)
1 user (show)

See Also:


Attachments
v0 (not merged upstream yet) (8.20 KB, patch)
2018-07-20 15:07 UTC, Jan Beich
jbeich: maintainer-approval? (amdmi3)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-07-11 13:52:54 UTC
After bug 229569 lands this port will end up BROKEN. Can you help? I've already reported upstream.

In file included from parse/ConditionParser5.cpp:1:
In file included from parse/ConditionParser5.h:4:
In file included from parse/ConditionParserImpl.h:4:
In file included from parse/ConditionParser.h:4:
In file included from parse/Lexer.h:6:
In file included from /usr/local/include/boost/spirit/include/lex_lexertl.hpp:16:
In file included from /usr/local/include/boost/spirit/home/lex/lexer_lexertl.hpp:15:
In file included from /usr/local/include/boost/spirit/home/lex.hpp:13:
In file included from /usr/local/include/boost/spirit/home/lex/lexer.hpp:14:
In file included from /usr/local/include/boost/spirit/home/lex/lexer/token_def.hpp:17:
In file included from /usr/local/include/boost/spirit/home/qi/parser.hpp:15:
In file included from /usr/local/include/boost/spirit/home/qi/domain.hpp:18:
In file included from /usr/local/include/boost/spirit/home/support/context.hpp:18:
In file included from /usr/local/include/boost/spirit/home/support/nonterminal/expand_arg.hpp:20:
In file included from /usr/local/include/boost/spirit/home/support/string_traits.hpp:16:
In file included from /usr/local/include/boost/spirit/home/support/container.hpp:21:
In file included from /usr/local/include/boost/optional.hpp:15:
In file included from /usr/local/include/boost/optional/optional.hpp:1462:
/usr/local/include/boost/optional/detail/optional_reference_spec.hpp:174:40: error: no type named 'optional_value_type' in namespace 'boost::optional_detail'
    optional<typename optional_detail::optional_value_type<typename boost::result_of<F(T&)>::type>::type> flat_map(F f) const
             ~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~
/usr/local/include/boost/optional/detail/optional_reference_spec.hpp:174:94: error: member 'type' declared as a template
    optional<typename optional_detail::optional_value_type<typename boost::result_of<F(T&)>::type>::type> flat_map(F f) const
                                                                                             ^
/usr/local/include/boost/optional/detail/optional_reference_spec.hpp:174:98: error: expected ';' at end of declaration list
    optional<typename optional_detail::optional_value_type<typename boost::result_of<F(T&)>::type>::type> flat_map(F f) const
                                                                                                 ^
3 errors generated.
Comment 1 Jan Beich freebsd_committer 2018-07-13 00:22:39 UTC
Comment 0 is a regression in Boost itself, fixed by https://reviews.freebsd.org/D16165?vs=45152&id=45227
The port still doesn't build, see https://ptpb.pw/Nnjb
Comment 2 Jan Beich freebsd_committer 2018-07-20 15:07:18 UTC
Created attachment 195301 [details]
v0 (not merged upstream yet)

11.1 amd64 + boost 1.68 build log: https://ptpb.pw/9W0Z
Comment 3 commit-hook freebsd_committer 2018-08-03 17:37:20 UTC
A commit references this bug:

Author: jbeich
Date: Fri Aug  3 17:36:23 UTC 2018
New revision: 476312
URL: https://svnweb.freebsd.org/changeset/ports/476312

Log:
  games/freeorion: unbreak with boost 1.68

  In file included from GG/src/GUI.cpp:44:
  GG/src/gilext/io/png_io.hpp:39:10: fatal error: 'boost/gil/extension/io/io_error.hpp' file not found
   #include <boost/gil/extension/io/io_error.hpp>
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  GG/src/gilext/io/png_io_private.hpp:46:37: error: use of undeclared identifier 'bits8'
  template <> struct png_is_supported<bits8,gray_t>        {BOOST_STATIC_CONSTANT(bool,value=true);};
                                      ^
  In file included from GG/src/Texture.cpp:39:
  GG/src/gilext/io/png_dynamic_io.hpp:37:10: fatal error: 'boost/gil/extension/io/dynamic_io.hpp' file not found
   #include <boost/gil/extension/io/dynamic_io.hpp>
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  In file included from GG/src/gilext/io/png_dynamic_io.hpp:43:
  In file included from GG/src/gilext/io/png_io.hpp:38:
  In file included from GG/src/gilext/io/png_io_private.hpp:30:
  GG/src/gilext/io/../typedefs.hpp:30:40: error: too few arguments provided to function-like macro invocation
  GIL_DEFINE_BASE_TYPEDEFS(8,  gray_alpha)
                                         ^
  /usr/local/include/boost/gil/typedefs.hpp:86:9: note: macro 'GIL_DEFINE_BASE_TYPEDEFS' defined here
   #define GIL_DEFINE_BASE_TYPEDEFS(B, CM, CS)                                                  \
           ^
  In file included from GG/src/GUI.cpp:44:
  In file included from GG/src/gilext/io/png_io.hpp:40:
  GG/src/gilext/io/png_io_private.hpp:167:27: error: expected class name
  class png_reader : public file_mgr {
                            ^

  PR:		229699
  Obtained from:	upstream
  Approved by:	maintainer timeout (2 weeks)

Changes:
  head/games/freeorion/Makefile
  head/games/freeorion/files/patch-boost168